Docs
Create Schedule Block Type
POST /schedule-block-types
POST
/schedule-block-typesCreates a schedule block type and returns its id. defaultResourceStateId, when sent, must be a state on this event; state ids come from Resources_GetResourceStates.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| label | string | Optional | |
| icon | string | Optional | |
| color | string | Optional | |
| defaultResourceStateId | uuid | Optional |
Response
Type: uuid